<%- include('head', {title: 'Mon profil' , user, message}); %>

    <% if (!isConnected) { %>
        <script>
            createMessage(`Cette page nécessite une connexion utilisateur !`)
            setTimeout(() => {
                document.location.href = '/'
            }, 2000);
        </script>
        <% } else { %>

            <h2 class="text-3xl text-center mt-3 font-bold">Mon profil</h2>
            <div class="flex flex-col gap-3 pt-5
    max-w-xl mx-auto w-full mt-10 flex rounded-xl shadow-md p-4 flex flex-col bg-white">

                <div class="flex flex-col">
                    <label class="font-medium mb-2 text-gray-900 text-sm">Nom d'utilisateur</label>
                    <input type="text" disabled value="<%- user.username %>"
                        class="bg-gray-50 border border-gray-300 text-gray-500 text-sm rounded-lg block w-full px-2.5 py-2">
                </div>

                <div class="flex flex-col">
                    <label class="font-medium mb-2 text-gray-900 text-sm">Adresse email</label>
                    <input type="text" disabled value="<%- user.email %>"
                        class="bg-gray-50 border border-gray-300 text-gray-500 text-sm rounded-lg block w-full px-2.5 py-2">
                </div>


                <a href="/api/user/logout"
                    class="rounded-lg px-4 py-2 bg-blue-600 text-white mt-4 flex w-fit justify-center hover:bg-blue-800 mx-auto">Se
                    déconnecter</a>

                <button
                    onclick="confirm('Êtes-vous sûr de vouloir supprimer votre compte ?')?document.location.href='/api/user/remove':null"
                    class="mx-auto text-blue-600 hover:text-blue-800">Supprimer son compte.</button>
            </div>

            <% } %>


                <%- include('footer'); %>